
CoCoALib - Bug #1078

makefile: ungraceful when interrupted

13 Jun 2017 16:37 - John Abbott

Status: Closed Start date: 13 Jun 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 6.60 hours

Target version: CoCoALib-0.99560 Spent time: 6.60 hours

Description

It seems that interrupting the building of Makefile_dependencies gives the impression (to make) that the dependencies have been

built.

Rectify!

History

#1 - 20 Jul 2017 13:12 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 10

It seems that my first attempt does not work as hoped.

Now trying the obvious approach: create a Makefile_dependencies.new, and when this is complete move it to Makefile_dependencies.

The tricky part seems to be avoiding infinite recursion in make (without creating a second Makefile).

#2 - 21 Jul 2017 15:29 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

- Estimated time set to 6.60 h

I have just checked in a version which seems to work correctly in my (few) tests.

A crucial feature is use of the -W flag to build Makefile_dependencies when the file does not exist.

It may need a little more tweaking to make it "perfect", but should work fairly well in its current form.

#3 - 21 Jul 2017 15:29 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560

#4 - 08 Nov 2017 18:08 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

I have not really tested this (as I do not often interrupt a make, especially during the rebuilding of the dependencies files).
Closing anyway.
